RFC100 RFC195 RFC240 RFC400 LOW LOSS FLEX COAX RF BARE CABLE NO CONECTRS USA For Sale
When you click on links to various merchants on this site and make a purchase, this can result in this site earning a commission. Affiliate programs and affiliations include, but are not limited to, the eBay Partner Network.
RFC100 RFC195 RFC240 RFC400 LOW LOSS FLEX COAX RF BARE CABLE NO CONECTRS USA
Price: US $350.85
The product is a low loss flex coax RF bare cable with the specifications RFC100, RFC195, RFC240, and RFC400. It is unbranded/generic, making it suitable for various computer and networking applications. The cable is designed for minimal signal loss and flexibility, making it ideal for connecting RF components in a variety of settings. This product offers a reliable and high-quality solution for your networking needs.